<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[country].']</div>';
$isset_clan = mysql_result(mysql_query("SELECT count(`id`) FROM `clan` WHERE `id`='".$user['clan']."'"),0);
if ($isset_clan=='0') header("Location: index.php");
else
{
switch($_GET[a])
	{
    default:
	//основное меню клана
    echo '
	<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if (isset($_GET['iskl']))
		{
		$iskl = abs($_GET[iskl]);
		$isset_iskl = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `id`='$iskl' AND `clan`='".$c['id']."'"),0);
		if ($isset_iskl == '1' AND $iskl != $id)
			{
			if ($_GET['accept']=='1')
				{
				echo 'Игрок исключен из клана!</div><a class="razd" href="clan.php">Назад</a>';
				mysql_query("UPDATE `users` SET `clan`='0' WHERE `id`='$iskl'");
				} else {
			echo 'Вы уверены что хотите исключить игрока?</div><a class="razd" href="?iskl='.$iskl.'&amp;accept=1">Исключить</a><a class="razd" href="clan.php">Назад</a>';
						}
			} else echo 'Игрок не найден';
		} else {
	echo 'Вы состоите в клане <b>'.$c['title'].'</b> ['.$c['level'].'] (exp: '.$c[exp].')<br />';
	$leader_name = mysql_fetch_array(mysql_query("SELECT `country` FROM `users` WHERE `id`='".$c['leader']."'"));
	echo 'Страна-лидер: '.$leader_name['country'].'<br />';
	echo 'Девиз клана: '.$c['slogan'].'<br />';
	echo 'Одержанных побед: <b>'.$c['wins'].'</b><br />';
	echo 'Разбито лагерей: <b>'.$c['camps'].'</b><br />';
	$all_members = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `clan`='$c[id]'"),0);
	if ($c[img]!='0')
		{
		echo '<img src="./clan_img/'.$c[img].'.png" alt=*> ';
		}
	echo 'Участники: ('.$all_members.'/'.$c['members'].')<br />';
	$sql_u = mysql_query("SELECT `id`,`country`,`clan_time` FROM `users` WHERE `clan`='$c[id]'");
	while($res_u = mysql_fetch_assoc($sql_u))
		{
		echo $res_u['country'].'';
		$clan_hours = intval(($time-$res_u['clan_time'])/60/60);
		echo ' ('.$clan_hours.' часов)';

				//АЧИВКА С КЛАНОМ
				$clan_hours2 = intval(($time-$user['clan_time'])/60/60);
				$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='2' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='2',`count`='$clan_hours2',`user`='$id';");
					} else
						{
						$count_name = mysql_fetch_array(mysql_query("SELECT `count` FROM `achieve_name` WHERE `id`='2'"));
						$count = mysql_fetch_array(mysql_query(" SELECT * FROM `achieve` WHERE `user`='$id' AND `num`='2' "));

						if ($count['count'] < $clan_hours2)
							{
							mysql_query("UPDATE `achieve` SET `count`='$clan_hours2' WHERE `user`='$id' AND `num`='2'");
							}
						}

		if ($c['leader']==$id) echo '<a href="clan.php?iskl='.$res_u['id'].'&amp;accept=0">(искл)</a>';
		echo ', ';
		}
	$count_chat = mysql_result(mysql_query("SELECT count(`id`) FROM `clan_chat` WHERE `clan`='$c[id]'"),0);
	echo '</div><a class="razd" href="?a=chat">Чат клана ('.$count_chat.')</a>';
	echo '<a class="razd" href="?a=chest">Казна</a>';
	echo '<a class="razd" href="?a=trof">Трофеи</a>';
	$army = mysql_fetch_array(mysql_query("SELECT SUM(solders+horses+archers) FROM `clan` WHERE `id`='".$user['clan']."'"));
	echo '<a class="razd" href="?a=army">Армия ('.$army[0].')</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=invite">Пригласить участника</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=up">Повысить уровень клана</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=all">Разослать сообщение участникам</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=slogan">Редактировать девиз клана</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=lider">Назначить нового лидера</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=icon">Смена иконки</a>';
	if ($c['leader']==$id) echo '<a class="razd" href="?a=del">Расформировать клан</a>';
	if ($c['leader']!=$id) echo '<a class="razd" href="?a=del">Уйти из клана</a>';
	echo '<a class="razd" href="http://civilz.net/profile.php?a=clan&d=view">Просмотр остальных кланов</a>';


				}
    break;





	case 'del':
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	echo '
	<div class="money">';
	if ($c['leader']==$id)
		{

	if (intval($_GET['r'])=='1')
		{
		mysql_query("UPDATE `users` SET `clan`='0' WHERE `clan`='$c[id]'");
		mysql_query("DELETE FROM `clan` WHERE `id`='$c[id]'");
		echo 'Вашего клана больше не существует.</div>';
		} else {
	echo 'Вы уверены что хотите расформировать клан?<br />';
	echo '</div><a class="razd" href="?a=del&amp;r=1">Да</a>';
				}
		} else {
				if (intval($_GET['p'])=='1')
					{
					mysql_query("UPDATE `users` SET `clan`='0' WHERE `id`='$id'");
					echo 'Вы успешно покинули клан.</div>';
					$sql_clani = mysql_query("SELECT `id`,`country`,`login` FROM `users` WHERE `clan`='$c[id]'");
					while($res = mysql_fetch_assoc($sql_clani))
						{
						$text=$user[country].' покинул клан';
						send_mess($res['login'],$text,$c['title'],'');
						}
					} else {
			   echo 'Вы уверены что хотите покинуть клан?<br />';
			   echo '</div><a class="razd" href="?a=del&amp;p=1">Да</a>';
							}
			   }
	echo '<a class="razd" href="./clan.php">В клан</a>';
	break;








	case 'icon':
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{
	echo '<div class="money">';
	if (isset($_POST['world']))
		{
		$icon = abs($_POST['world']);
		if ($icon >= '1' AND $icon <= '20')
			{
			mysql_query("UPDATE `clan` SET `img`='$icon' WHERE `id`='$user[clan]'");
			echo 'Вы успешно выбрали иконку </div><a class="razd" href="./clan.php">Продолжить</a>';
			} else echo 'Нет такой иконки';
		} else {
	if ($c[img]=='0') echo 'Сейчас у клана нет иконки <br />';
	if ($c[img]!='0') echo 'Текущая иконка: <img src="./clan_img/'.$c[img].'.png" alt=*><br />';
	echo '<form method="POST" action="">';
	echo 'Выберите иконку для вашего клана:<br/>';
	$icons_count = 20;
	$a = 1;
	echo '<table>';
	echo '<tr>';
	while($a < $icons_count)
		{
		if ($a==1 oR $a==15) echo '<td>';
		echo '<img src="./clan_img/'.$a.'.png" alt=*><input type="radio" name="world" value="'.$a.'"><br />';
		$a++;

		}
	echo '</tr></table>';
	echo '<input type="submit" value="Выбрать"><br />[Стоимость установки персональной иконки: 20 золотых. Для этого напишите адрес необходимого изображения размером 16х16 в поддержку игры]</div>';
	if ($user[gold]<'20') echo '<b><a class="razd" href="./shop.php?a=buy">Купить золото</a></b>';
	else echo '<div class="money">Золото: '.$user[gold].'</div>';
	echo '</form>';
					}
		} else header("Location: clan.php");
	echo '<a class="razd" href="./clan.php">В клан</a>';
	break;




	case 'lider':
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{
	echo '
	<div class="money">';
	if (isset($_POST['country']))
		{
		$lider_id = mysql_fetch_array(mysql_query("SELECT `clan`,`id` FROM `users` WHERE `country`='".htmlspecialchars($_POST['country'])."'"));
		if (abs(intval($lider_id[id])) != '0' AND abs(intval($lider_id[clan]))==$user['clan'])
			{
			echo 'Новый лидер '.htmlspecialchars($_POST['country']);
			mysql_query("UPDATE `clan` SET `leader`='$lider_id[id]' WHERE `id`='$user[clan]'");
			} else echo 'Ошибка!<br/>Новый лидер должен состоять в вашем клане';
		} else {
	echo 'Введите новую лидер-страну:';
	echo '<form method="POST" action="">
	<input type="text" name="country"><br />
	<input type="submit" value="Продолжить">
	</form>';
				}
	echo '</div>';
		} else header("Location: clan.php");
	echo '<a class="razd" href="./clan.php">В клан</a>';
	break;


	//Трофеи
	case 'trof':
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	echo 'Деньги: <b>'.$c['trof'].'</b>';
	echo '</div><div class="money">';
	if (abs(intval($_POST['count'])) != '0' AND abs(intval($_POST['count'])) <= $c['trof'])
		{
		echo 'Вы забрали '.abs(intval($_POST['count'])).' денег';
		mysql_query("UPDATE `users` SET `money`=money+'".abs(intval($_POST['count']))."' WHERE `id`='$id'");
		mysql_query("UPDATE `clan` SET `trof`=trof-'".abs(intval($_POST['count']))."' WHERE `id`='$user[clan]'");
		} else {
	echo 'Количество: <br />
	<form method="POST" action="">
	<input type="text" name="count"><br />
	<input type="submit" value="Забрать">
	</form>';
				}
	echo '</div>';
	echo '<a class="razd" href="./clan.php">В клан</a>';
	break;



	//РАсслыка сообщений

	case 'all':
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{
	echo '<div class="money">';
	if (isset($_POST['text']))
		{
		$error = '';
		$text = htmlspecialchars($_POST['text']);
		$count_text = mb_strlen($text, 'UTF-8');
		if ($count_text < 2 || $count_text > 250) $error .= 'Неверная длина сообщения<br/>';
		if (empty($error))
			{
			$sql_m = mysql_query("SELECT `login`,`country`,`id` FROM `users` WHERE `clan`='$user[clan]'");
			while($rem = mysql_fetch_assoc($sql_m))
				{
    			send_mess($rem['login'],$text,$user['login'],$id);

				}
				echo 'Сообщения отправлены!</div>';
			} else echo $error.'</div>';
		} else {
	echo '<form method="POST" action="">
	Сообщение:
	<input type="text" name="text"><br />
	<input type="submit" value="Отправить">
	</form></div>';
				}
		} else header("Location: clan.php");
	echo '<a class="razd" href="./clan.php">В клан</a>';
	break;


	case 'effect':
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{

		if (intval($_GET['up'])=='1')
			{
			$error = '';
			if ($c['iron']<(($c['general_force']+1)*3459)) $error = 'В казне не хватает железа<br />';
			if ($c['money']<(($c['general_force']+1)*7576)) $error = 'В казне не хватает денег<br />';
			if ($c['general_force'] == '9') $error = 'Вы достигли максимального уровня<br />';
			if (empty($error))
				{
				mysql_query("UPDATE `clan` SET `money`='".intval($c['money']-($c['general_force']+1)*7576)."',
											   `iron`='".intval($c['money']-($c['general_force']+1)*3459)."',
											   `general_force`=general_force+'1' WHERE `id`='$c[id]';");
				echo 'Вы успешно повысили силу клановых войск!<br /><a href="?a=effect">Назад</a>';
				} else echo $error.'<a href="?a=effect">Назад</a>';
			} else {
		echo 'Текущуя эффективность войск: '.($c['general_force']*10).'%<br />';
		if ($c['general_force'] >= '9')
			{
			echo 'Вы достигли максимальной эффективности вашей клановой армии';
			} else {
		echo 'Следующие повышение стоит:<br />';
		echo '<img src="./images/iron.png" alt=*> '.(($c['general_force']+1)*3459).' железа <br />';
		echo '<img src="./images/money.png" alt=*> '.(($c['general_force']+1)*7576).' денег<br />';
		echo 'Сила вашей клановой армии повысится на <b>10%</b><br />';
		echo '<a href="?a=effect&amp;up=1">Повысить</a>';
					}
					}
		} else echo 'Текущуя эффективность войск: '.($c['general_force']*10).'%<br />Повышать может только лидер клана';
	echo '</div><a class="razd" href="./clan.php">В клан</a>';
	break;



	//Армия
	case 'army':
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if (intval($_GET['d'])=='1' OR intval($_GET['d'])=='2')
		{
		if (intval($_GET['d'])=='1')
				{
		if (isset($_POST['count']) AND isset($_POST['res']))
			{
			$error = '';
			$vtor = mysql_result(mysql_query("SELECT * FROM `wars` WHERE `id_cover`='$id'"),0);
			if ($vtor > '0') $error .= 'Во время вторжения данное действие невозможно<br />';
			$count = intval(abs($_POST['count']));
			$res = htmlspecialchars($_POST['res']);
			if ($user[$res] < $count) $error .= 'У вас нет такого количества войнов<br />';
			if ($count == '0') $error .= 'Неправильное количество<br />';
			if ($res == 'solders' OR $res == 'horses' OR $res == 'archers') $type = '1';
			if ($type != '1') $error .= 'Неправильынй тип войск<br />';
			if ($res == 'solders') $nam_res = 'пехоты';
			if ($res == 'horses') $nam_res = 'ковалерии';
			if ($res == 'archers') $nam_res = 'стрелков';
			if (empty($error))
				{
				mysql_query("UPDATE `clan` SET `$res`=$res+'$count' WHERE `id`='$user[clan]'");
				mysql_query("UPDATE `users` SET `$res`=$res-'$count' WHERE `id`='$id'");
				mysql_query("INSERT INTO `log_chest` SET `text`='".$user['country']." добавил в казну $count $nam_res',`clan`='".$user['clan']."',`type`='2'");
				echo 'Вы успешно привели войска </div>';
				} else echo '<b>'.$error.'</b></div>';
			} else {
		echo '<form action="" method="POST">
		Кол-ва войнов:<br />
		<input type="text" name="count" value=""><br />
		<input type="radio" name="res" value="solders">Пехотинцы<br />
		<input type="radio" name="res" value="horses">Ковалерия<br />
		<input type="radio" name="res" value="archers">Стрелки<br />
		<input type="submit" value="Отправить"></div>
		</form>';
					}
				}
		if (intval($_GET['d'])=='2')
				{
				echo '<b>Лог последних 15 действий в армии клана</b>: </div><div class="money">';
				$sql_log = mysql_query("SELECT * FROM `log_chest` WHERE `clan`='$user[clan]' AND `type`='2' ORDER by `id` DESC LIMIT 15");
				while($res = mysql_fetch_assoc($sql_log))
					{
					echo $res['text'].'</div></div><div class="money">';
					}
					echo '</div>';
				}
		} else {
	echo 'Армия клана: <br />';
	echo 'Пехота: <b>'.$c['solders'].'</b><br />';
	echo 'Ковалерия: <b>'.$c['horses'].'</b><br />';
	echo 'Стрелки: <b>'.$c['archers'].'</b><br />';
	echo '</div><a class="razd" href="./clan.php?a=army&amp;d=1">Пополнить ряды</a>
	<a class="razd" href="./clan.php?a=effect">Эффективность войск</a>';
				}

	echo '<a class="razd" href="./clan.php">В клан</a>';
	if ($_GET['d']!='2') echo '<a class="razd" href="./clan.php?a=army&amp;d=2">Лог армии</a>';
	break;





	//казна
	case 'chest':
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if (intval($_GET['d'])=='1' OR intval($_GET['d'])=='2')
		{
		if (intval($_GET['d'])=='1')
				{
		if (isset($_POST['count']) AND isset($_POST['res']))
			{
			$error = '';
			$count = intval(abs($_POST['count']));
			$res = htmlspecialchars($_POST['res']);
			$vtor = mysql_result(mysql_query("SELECT * FROM `wars` WHERE `id_cover`='$id'"),0);
			if ($vtor > '0') $error .= 'Во время вторжения данное действие невозможно<br />';
			if ($user[$res] < $count) $error .= 'У вас нет такого количества<br />';
			if ($res == 'iron' OR $res == 'stone' OR $res == 'lumber' OR $res == 'grain' OR $res == 'money') $type = '1';
			if ($type != '1') $error .= 'Неправильынй тип ресурсов<br />';
			if ($res == 'iron') $nam_res = 'железа';
			if ($res == 'stone') $nam_res = 'камня';
			if ($res == 'lumber') $nam_res = 'дерева';
			if ($res == 'grain') $nam_res = 'зерна';
			if ($res == 'money') $nam_res = 'денег';
			if (empty($error))
				{
				mysql_query("UPDATE `clan` SET `$res`=$res+'$count' WHERE `id`='$user[clan]'");
				mysql_query("UPDATE `users` SET `$res`=$res-'$count' WHERE `id`='$id'");
				mysql_query("INSERT INTO `log_chest` SET `text`='".$user['country']." добавил в казну $count $nam_res',`clan`='".$user['clan']."',`type`='1'");
				echo 'Вы успешно добавили ресурсы в казну </div>';


				//АЧИВКА С ДЕНЬГАМИ
				if ($res == 'money')
				{
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='4' AND `user`='$id'"),0);
					if ($isset_ach == '0')
						{
						mysql_query("INSERT INTO `achieve` SET `num`='4',`count`='$count',`user`='$id';");
						} else
							  {
							  mysql_query("UPDATE `achieve` SET `count`=count+'$count' WHERE `num`='4' AND `user`='$id'");
							  }
				}



				if ($res != 'money')
				{
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='9' AND `user`='$id'"),0);
					if ($isset_ach == '0')
						{
						mysql_query("INSERT INTO `achieve` SET `num`='9',`count`='$count',`user`='$id';");
						} else
							  {
							  mysql_query("UPDATE `achieve` SET `count`=count+'$count' WHERE `num`='9' AND `user`='$id'");
							  }
				}




				} else echo '<b>'.$error.'</b></div>';
			} else {
		echo '<form action="" method="POST">
		Кол-ва ресурса:<br />
		<input type="text" name="count" value=""><br />
		<input type="radio" name="res" value="iron">Железо<br />
		<input type="radio" name="res" value="stone">Камень<br />
		<input type="radio" name="res" value="lumber">Дерево<br />
		<input type="radio" name="res" value="grain">Зерно<br />
		<input type="radio" name="res" value="money">Деньги<br />
		<input type="submit" value="Внести"></div>
		</form>';
					}
				}
		if (intval($_GET['d'])=='2')
				{
				echo '<b>Лог последних 15 действий в казне</b>: </div><div class="money">';
				$sql_log = mysql_query("SELECT * FROM `log_chest` WHERE `clan`='$user[clan]' AND `type`='1' ORDER by `id` DESC LIMIT 15");
				while($res = mysql_fetch_assoc($sql_log))
					{
					echo $res['text'].'</div></div><div class="money">';
					}
					echo '</div>';
				}
		} else {
	echo 'Казна клана: <br />';
	echo 'Железо: <b>'.$c['iron'].'</b><br />';
	echo 'Камень: <b>'.$c['stone'].'</b><br />';
	echo 'Дерево: <b>'.$c['lumber'].'</b><br />';
	echo 'Зерно: <b>'.$c['grain'].'</b><br />';
	echo 'Деньги: <b>'.$c['money'].'</b><br />';
	echo '</div><a class="razd" href="./clan.php?a=chest&amp;d=1">Внести</a>';
				}

	echo '<a class="razd" href="./clan.php">В клан</a>';
	if ($_GET['d']!='2') echo '<a class="razd" href="./clan.php?a=chest&amp;d=2">Лог казны</a>';
	break;



	//Повышение уровня клана
	case 'up':
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{
		if (intval($_GET['p'])=='1' AND $c['clan'] < '5')
			{
			$error = '';
			$iron = intval($c['level']*1000);
			$lumber = intval($c['level']*1500);
			$stone = intval($c['level']*1300);
			$grain = intval($c['level']*2500);
			$money = intval($c['level']*10000);

			if ($c['level']=='4') $level_clan = 1;

			if ($c['iron'] < intval($c['level']*1000)) $error .= 'В казне не хватает железа <br />';
			if ($c['lumber'] < intval($c['level']*1500)) $error .= 'В казне не хватает дерева <br />';
			if ($c['stone'] < intval($c['level']*1300)) $error .= 'В казне не хватает камня <br />';
			if ($c['grain'] < intval($c['level']*2500)) $error .= 'В казне не хватает зерна <br />';
			if ($c['money'] < intval($c['level']*10000)) $error .= 'В казне не хватает денег <br />';
			if ($c['wins'] < intval($c['level']*10)) $error .= 'Мало одержанных побед <br />';
			if (empty($error))
				{
				mysql_query("UPDATE `clan` SET `level`=level+'1',
											   `iron`=iron-'$iron',
											   `lumber`=lumber-'$lumber',
											   `stone`=stone-'$stone',
											   `grain`=grain-'$grain',
											   `money`=money-'$money',
											   `members`=members+'$level_clan' WHERE `id`='$user[clan]'");
				echo 'Вы успешно повысили уровень клана</div>';
				} else echo '<b>Ошибка</b><br/>'.$error.'</div>';
			} else {
		echo 'Текущий уровень клана <b>'.$c['level'].'</b><br />';
		if ($c['level'] != '5')
			{
			echo 'Для перехода клана на '.($c['level']+1).' уровень необходимо:<br />';
			echo '- Железа '.intval($c['level']*1000).'<br />';
			echo '- Дерева '.intval($c['level']*1500).'<br />';
			echo '- Камня '.intval($c['level']*1300).'<br />';
			echo '- Зерна '.intval($c['level']*2500).'<br />';
			echo '- Денег '.intval($c['level']*10000).'<br />';
			echo '- Побед '.intval($c['level']*10).'<br />';
			echo '</div><a class="razd" href="?a=up&amp;p=1">Повысить</a>';
			} else echo 'Максимальный уровень клана достигнут </div>';
				   }
		} else header("Location: index.php");
	echo '<a class="razd" href="./clan.php">В клан</a>';
	break;



	//изменить слоган клана
	case 'slogan':
	echo '
	<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{
			if (isset($_POST['slogan']))
		{
		$slogan = htmlspecialchars($_POST['slogan']);
		$error = '';
		$count_slogan = mb_strlen($slogan, 'UTF-8');
		if ($count_slogan < 1 || $count_slogan > 49) $error .= 'Неверная длина текста (1-49)<br/>';
		if (empty($error))
			{
			mysql_query("UPDATE `clan` SET `slogan`='$slogan' WHERE `id`='$user[clan]'");
			echo 'Слоган клана обновлен</div>';
			} else echo $error.'';
		} else {
	echo '<form method="POST" action="">Слоган: <br />
	<input type="text" name="slogan" value="'.$c['slogan'].'"><br /><input type="submit" value="Обновить">
	</form></div>';
			   }
		}
		echo '<a class="razd" href="./clan.php">В клан</a>';

	break;


	//приглашение
	case 'invite':
	echo '<div class="money">';
	$c = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."'"));
	if ($c['leader']==$id)
		{


		if (isset($_POST['country']))
		{
		$country = htmlspecialchars($_POST['country']);
		$error = '';
		$count_country = mb_strlen($country, 'UTF-8');
		$all_members = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `clan`='$c[id]'"),0);
		if ($all_members >= $c['members']) $error .= 'У вас в клане максимальное количество участников <br />';
		if ($count_country < 1 || $count_country > 50) $error .= 'Неверная длина введенного текста (1-50)<br/>';
		$isset_c = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `country`='$country'"),0);
		if ($isset_c == '0') $error .= 'Нет такой страны<br />';
		$acccept = mysql_fetch_array(mysql_query("SELECT `invite_clan`,`clan` FROM `users` WHERE `country`='$country'"));
		if ($acccept['invite_clan'] != '0' OR $acccept['clan'] != '0') $error .= 'У игрока еще есть неподтвержденные заявки в клан или он уже в клане<br />';
		if (empty($error))
			{
			mysql_query("UPDATE `users` SET `invite_clan`='".$user['clan']."' WHERE `country`='$country'");
			echo 'Заявка отправлена</div><a class="razd" href="clan.php">Далее</a><div class="money">';
			} else echo $error.'</div>';
		} else {
	echo '<form method="POST" action="">Введите страну игрока: <br />
	<input type="text" name="country" value=""><br /><input type="submit" value="Отправить"></div><a class="razd" href="clan.php">'.$iback.'В клан</a>
	</form>';
			   }



		}
	break;




	//чат
    case 'chat':
	echo '<div class="money">';
	if (isset($_POST['mass']))
		{
		$mass = htmlspecialchars($_POST['mass']);
		$error = '';
		$count_mass = mb_strlen($mass, 'UTF-8');
		if ($count_mass < 1 || $count_mass > 250) $error .= 'Неверная длина текста (1-250)<br/>';
		if (empty($error))
			{
			mysql_query("INSERT INTO `clan_chat` SET `when`='".date("H:i")."',
													 `name`='".$user['country']."',
													 `mass`='$mass',
													 `clan`='".$user['clan']."'");
			echo 'Сообщение добавлено</div><a class="razd" href="clan.php?a=chat">Обновить</a><div class="money">';
			} else echo $error.'';
		} else {
	echo '<form method="POST" action="">Сообщение: <br />
	<input type="text" name="mass" value=""><br /><input type="submit" value="Отправить">
	</form>';
			   }
	echo '</div>';
	echo '<div class="money">';


		$per_page=$user[massages];
		if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
		$start=abs($page*$per_page);
		$q="SELECT * FROM `clan_chat` WHERE `clan` = '".$user['clan']."' ORDER BY id DESC LIMIT $start,$per_page";
		//Добавление сообщения
		$res=mysql_query($q);
		while($row=mysql_fetch_array($res)) {
		echo ''.$row['when'].' - <b>'.$row['name'].'</b><br />'.$row['mass'].'</div><div class="money">';
		if (empty($_GET['page'])) $i=1;
				}
		//Навигация
				$q2=$q;
		$res=mysql_query($q2);
		$row=mysql_fetch_row($res);
		$total_rows=$row[0];

		$num_pages=ceil($total_rows/$per_page);
		if ($_GET['page'] > '3') {

							if ($_GET['page']!='1') echo '<a href="'.$_SERVER['PHP_SELF'].'?a=chat&page=1">1</a>,';
							if ($_GET['page']!='2') echo '<a href="'.$_SERVER['PHP_SELF'].'?a=chat&page=2">2</a>';
							echo ' ... ';
							}


		if ($_GET['page'] > '1') echo '<a href="'.$_SERVER['PHP_SELF'].'?a=chat&page='.($_GET['page']-1).'">Назад</a> ';
		if ($_GET['page'] < '3')
			{
		for($i=1;$i<=3;$i++) {
		  if ($i-1 == $page) {
			echo '['.$i."] ";
		  } else {
			echo '<a href="'.$_SERVER['PHP_SELF'].'?a=chat&page='.$i.'">['.$i."]</a> ";
		  }

		}
			} else echo '['.abs($_GET['page']).'] ';
		if ($_GET['page'] > '2') echo '<a href="'.$_SERVER['PHP_SELF'].'?a=chat&page='.($_GET['page']+1).'">Далее</a>';
	echo '</div>';
    break;
	}
//футер
echo '
<div class="info">Меню</div>
<a class="razd" href="clan.php">'.$iback.'В клан</a>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';
}


?>